GET /transaction_accounts/{id}/transactions

pocketsmith.com

Summary: List transactions in transaction account
Operation ID:
Auth: unknown
Description

Lists transactions belonging to a transaction account by its ID.

Parameters (9)

end_date (string, query, optional)

Limit to transactions on or before this date. Required if start_date is provided. If not provided, defaults to today's date.

id (integer, path, required)

The unique identifier of the transaction account.

needs_review (integer, query, optional)

Limit to transactions that need to be reviewed.

page (integer, query, optional)

Choose a particular page of the results.

search (string, query, optional)

Limit to transactions matching a keyword search string. The provided string is matched against the transaction amount, account name, payee, category title, note, labels, and the date in ISO 8601 format.

start_date (string, query, optional)

Limit to transactions on or after this date. Required if end_date is provided. If not provided, defaults to the furtherest date allowed by the user's subscription.

type (string, query, optional)

Limit to transactions of this type.

Constraints: {'enum': ['debit', 'credit']}

uncategorised (integer, query, optional)

Limit to uncategorised transactions.

updated_since (string, query, optional)

Limit to transactions updated since an ISO 8601 timestamp.

No probe data for this endpoint yet.